##
##  j2ee.spec -- OpenPKG RPM Specification
##  Copyright (c) 2000-2003 Cable & Wireless Deutschland GmbH
##  Copyright (c) 2000-2003 The OpenPKG Project <http://www.openpkg.org/>
##  Copyright (c) 2000-2003 Ralf S. Engelschall <rse@engelschall.com>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package versions
%define       V_sunjava 1_3_1
%define       V_filesys 1.3.1
%define       V_openpkg 1.3.1

#   package information
Name:         j2ee
Summary:      Java 2 Platform, Enterprise Edition (J2EE)
URL:          http://java.sun.com/j2ee/
Vendor:       Sun Microsystems, Inc.
Packager:     The OpenPKG Project
Distribution: OpenPKG [EVAL]
Group:        Language
License:      Commercial
Version:      %{V_openpkg}
Release:      20030108

#   list of sources
Source0:      http://java.sun.com/j2se/::/j2sdkee-%{V_sunjava}-solsparc.sh
Source1:      http://java.sun.com/j2se/::/j2sdkee-%{V_sunjava}-linux.tar.gz
Source2:      rc.%{name}
%NoSource     0
%NoSource     1

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20030108, j2se, tar, gzip
PreReq:       OpenPKG, openpkg >= 20030108, j2se
AutoReq:      no
AutoReqProv:  no

%description
    J2EE technology and its component based model simplifies
    enterprise development and deployment. The J2EE platform manages
    the infrastructure and supports the Web services to enable
    development of secure, robust and interoperable business
    applications.

    The J2EE SDK is intended as a proof of concept and example for
    implementations in the application server marketplace. The J2EE
    SDK includes a J2EE application server and various tools to help
    developers prototype J2EE applications and learn about the J2EE
    platform and technologies. It can be used as a J2EE development
    enviroment for applications prior to their deployment and
    distribution.

%prep
    %integrity
    %setup -q -T -c

%build

%install
    rm -rf $RPM_BUILD_ROOT

    #   create installation tree
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/etc/rc.d \
        $RPM_BUILD_ROOT%{l_prefix}/libexec

    #   unpack vendor distribution
    ( umask 022
      cd $RPM_BUILD_ROOT%{l_prefix}/libexec
      case "%{l_target}" in
          ix86-freebsd4* )
              %{l_gzip} -d -c %{SOURCE j2sdkee-%{V_sunjava}-linux.tar.gz} |\
                  %{l_tar} xf -
              mv j2sdkee%{V_filesys} %{name}
              find %{name}/bin -type f -print | xargs chmod u+w
              brandelf -t Linux \
                  `find %{name}/bin/ -type f -print` \
                  >/dev/null 2>&1 || true
              ;;
          ix86-linux2.[2-5]* )
              %{l_gzip} -d -c %{SOURCE j2sdkee-%{V_sunjava}-linux.tar.gz} |\
                  %{l_tar} xf -
              mv j2sdkee%{V_filesys} %{name}
              ;;
          sparc64-solaris2.[6-9]* )
              echo "yes" | sh %{SOURCE j2sdkee-%{V_sunjava}-solsparc.sh} >/dev/null
              mv j2sdkee%{V_filesys} %{name}
              ;;
          * )
              echo "Sorry, unsupported architecture '%{l_target}'" 1>&2
              exit 1
              ;;
      esac
    )

    #   activate binaries
    ( cd $RPM_BUILD_ROOT%{l_prefix}/bin
      for bin in cleanup j2ee packager \
          cloudscape j2eeadmin realmtool \
          deploytool runclient verifier; do
          ln -s ../libexec/%{name}/bin/$bin .
      done
    )

    #   install run-command script
    %{l_shtool} install -c -m 755 -e 's;@l_prefix@;%{l_prefix};g' \
        %{SOURCE rc.%{name}} $RPM_BUILD_ROOT%{l_prefix}/etc/rc.d/

    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

